Help VisualEditor users find the wikitext "Save" button
Open, LowPublic

Description

I observed two users: one who started editing with VisualEditor and had the edit commuted to wikitext; another who had edited the wikitext and then tried VisualEditor.

Both had issues finding the "save" button because it was on top instead of bottom, or vice versa. Can some hint be added?


See also: Newly-found T60588: WikiEditor: Extra buttons are confusing: "Publish" and "Save changes" shows that WikiEditor actually has an option to add publish/cancel buttons on top.

Related Objects

StatusAssignedTask
OpenNone
OpenEsanders
OpenNone
ResolvedJdforrester-WMF
Resolveddchen
ResolvedCapt_Swing
ResolvedJdforrester-WMF
ResolvedCapt_Swing
ResolvedEsanders
ResolvedEsanders
ResolvedEsanders
Resolved AlexMonk-WMF
ResolvedEsanders
ResolvedEsanders
ResolvedEsanders
Resolved AlexMonk-WMF
ResolvedEsanders
ResolvedEsanders
Resolved AlexMonk-WMF
ResolvedJdforrester-WMF
ResolvedPginer-WMF
ResolvedWhatamidoing-WMF
ResolvedEsanders
InvalidNone
ResolvedEsanders
ResolvedEsanders
ResolvedEsanders
ResolvedJdforrester-WMF
ResolvedEsanders
Resolved AlexMonk-WMF
ResolvedEsanders
ResolvedEsanders
ResolvedEsanders
ResolvedEsanders
Resolved AlexMonk-WMF
ResolvedEsanders
ResolvedEsanders
ResolvedEsanders
ResolvedJdforrester-WMF
DuplicateNone
OpenNone
OpenNone
ResolvedEsanders
ResolvedEsanders
ResolvedWhatamidoing-WMF
OpenNone
StalledNone
OpenNone
OpenNone
OpenNone
OpenNone
ResolvedEsanders
OpenNone
ResolvedEsanders
ResolvedEsanders
OpenNone
OpenNone
ResolvedDLynch
ResolvedDLynch
ResolvedEsanders
ResolvedSchnark
OpenNone
OpenNone
ResolvedJdforrester-WMF
ResolvedNone
OpenNone
OpenNone
Resolved AlexMonk-WMF
ResolvedEsanders
OpenNone
DuplicateNone
ResolvedJdforrester-WMF
Nemo_bis updated the task description. (Show Details)
Nemo_bis raised the priority of this task from to Needs Triage.
Nemo_bis added a project: VisualEditor.
Nemo_bis added a subscriber: Nemo_bis.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 26 2015, 12:50 PM

Well, we will move the wikitext save button to the top right when we do the "integrated two editors in one tab" work, but that's not for a while (and will be pretty disruptive for existing editors who are used to the existing workflow in the wikitext editor, so it's not something I'd recommend rushing).

There's already a GuidedTour kicked off by the GettingStarted system for the first-time wikitext edit experience; is this insufficient?

Aklapper renamed this task from Help VisualEditor users find the wikitext save button to Help VisualEditor users find the wikitext "Save" button.Mar 5 2015, 10:12 AM
Aklapper set Security to None.

There's already a GuidedTour kicked off by the GettingStarted system for the first-time wikitext edit experience; is this insufficient?

^^^ @Nemo_bis ?

Aklapper changed the task status from Open to Stalled.Apr 13 2015, 10:55 AM

Setting status to stalled.
@Nemo_bis: Please reset the status when answering.

Jdforrester-WMF triaged this task as Low priority.Jun 9 2015, 5:45 PM
Nemo_bis changed the task status from Stalled to Open.Jul 4 2015, 8:49 AM

There's already a GuidedTour kicked off by the GettingStarted system for the first-time wikitext edit experience; is this insufficient?

The users in question never got served such a thing AFAICT. So, yes, it's insufficient.

Krenair updated the task description. (Show Details)Sep 7 2015, 12:44 PM

The solution feels rather overkill for the issue reported here, but yes, a consistent positioning of buttons is indeed one of the main gains I see from a "unification" of the editors.

Sorry for the gnostic comment; meant to add as a sub-task too. :-)